Package org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn

# Class FuzzyTerm

java.lang.Object
org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn.IntervalFunction
org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn.FuzzyTerm

public class FuzzyTerm extends IntervalFunction
An interval function equivalent to `FuzzyQuery`. A fuzzy term expands to a disjunction of intervals of terms that are within the specified `maxEdits` from the provided term. A limit of `maxExpansions` prevents the internal implementation from blowing up on too many potential candidate terms.

## Constructor Summary

Constructors
Constructor
Description
`FuzzyTerm(String term, Integer maxEdits, Integer maxExpansions)`

## Method Summary

Modifier and Type
Method
Description
`IntervalsSource`
`toIntervalSource(String field, Analyzer analyzer)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FuzzyTerm

public FuzzyTerm(String term, Integer maxEdits, Integer maxExpansions)

## Method Details

### toIntervalSource

public IntervalsSource toIntervalSource(String field, Analyzer analyzer)

Specified by:
  `toIntervalSource` in class `IntervalFunction`

### toString

public String toString()

Specified by:
  `toString` in class `IntervalFunction`